<p>first works!</p>


<p>First Name : {{firstname}}</p>

<hr>

<div>
    this is string interpolation which uses double curly bracket
    <br>
    firstName :{{person.name}}
    <br>
    age of person : {{person['age']}}
</div>

<div [style.color]="color">
this is know as attribute binding i.e binding attribute with variable
<br>
    color = {{color}}
</div>

<hr>
<ul>
    <li [class.active] = "category == 1">category 1</li>
    <li [class.active] = "category == 2">category 2</li>
    <li [class.active] = "category == 3">category 3</li>
</ul>

<hr>

<button (click)="showalert()">click me fo alert</button>
